aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2016-12-07 22:57:12 -0600
committerRob Landley <rob@landley.net>2016-12-07 22:57:12 -0600
commit3dd0d0d42c6a7d3c001a45c07a31752165e51576 (patch)
tree549dd53baec0205d4fc859d65d4fa9be8ff360ba /scripts
parent72e2591018e7414958b576382dd4679223c95168 (diff)
downloadtoybox-3dd0d0d42c6a7d3c001a45c07a31752165e51576.tar.gz
Change error test to actually exit if first attempt to use .config fails.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/make.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 9c61292d..23edc195 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -59,7 +59,8 @@ then
echo "USE_TOYBOX(NEWTOY(toybox, NULL, TOYFLAG_STAYROOT))" > generated/newtoys.h
$SED -n -e 's/^USE_[A-Z0-9_]*(/&/p' toys/*/*.c \
| $SED 's/\(.*TOY(\)\([^,]*\),\(.*\)/\2 \1\2,\3/' | sort -s -k 1,1 \
- | $SED 's/[^ ]* //' >> generated/newtoys.h || exit 1
+ | $SED 's/[^ ]* //' >> generated/newtoys.h
+ [ $? -ne 0 ] && exit 1
fi
[ ! -z "$V" ] && echo "Which C files to build..."